POST /_system/cluster_stats/{period}

Get cluster statistics for a specific time period

Get cluster statistics for a specific time period
KeyTypeExampleDescription
periodrequiredstring
"daily"
Statistics period
KeyTypeExampleDescription
authorizationrequiredstring
"Bearer access_token"
Access token
KeyTypeExampleDescription
fromoptionalstring
0
Start date/time
key_formatoptionalstring
"example"
Key format for results
metricoptionalstring
"example"
Metric to retrieve
tooptionalstring
"example"
End date/time (optional)
{}
{
  "code": 401,
  "error": "INVALID_ACCESS_TOKEN"
}
StatusError CodeDescription
401INVALID_ACCESS_TOKENAuthentication required or invalid token
PermissionDescription
Bearer tokenAccess token required via Authorization header, x-authtoken, x-token, query param, or cookie
cluster_stats_viewRequired scope: cluster_stats_view

Back to Cluster Statistics Return to the Cluster Statistics category to view other endpoints All API Categories Browse all available API categories